# Manage test subscriptions

## Overview

Import **test** subscription and data from your system or from a third-party and test advanced renewal and upgrade scenarios in the 2Checkout platform.

## Availability

Import of test subscriptions is available for all accounts. Contact 2Checkout for additional details.

## Requirements

Test subscriptions can be imported only for **eStore** orders.

For subscriptions that need to have payment information attached, only dummy credit card data can be assigned. Check [here](/test-your-integration/test-your-integration/test-payment-methods.md) the list of credit cards that can be used for import.

## Import test subscriptions via CSV

Import your existing subscriptions in our database, by using a **UTF-8 encoded CSV file** ("Comma Separated Values"). A sample .csv file is provided [here](https://secure.2checkout.com/cpanel/import_licenses.php).

### Without credit card information

Import subscriptions including product and customer information by using the instructions from [this](/subscriptions/subscriptions/subscription-management/import-subscriptions-and-credit-card-data.md) article.

For subscriptions that don't have payment information assigned, do not send any values in the **CardNumber** and **CardExpirationDate** columns.

### With credit card information

Import subscriptions with credit card information assigned by using the instructions from [this](/subscriptions/subscriptions/subscription-management/import-subscriptions-and-credit-card-data.md) article.

**Only 2Checkout test credit cards can be used in the import.** Check [here](/test-your-integration/test-your-integration/test-payment-methods.md) the list of credit cards that can be used for import.

Cardholder name is composed by using the First name and Last name provided in the import file, as follows: FirstName + " " + LastName.

## Import test subscriptions via API

Import your existing subscriptions by using our API capabilities.

### Without credit card information

| JSON-RPC                                                                                                                                                                                           | REST                                                                                               | SOAP                                                                                                                                                                                       |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [Import test subscriptions without payment information](/json-rpc-api-reference/json-rpc-api-6.0/api-requests/subscription-import/add-import-test-subscriptions-without-credit-debit-card-data.md) | [Import test subscriptions without payment information](https://docs.2checkout.com/api-reference/) | [Import test subscriptions without payment information](/soap-api-reference/soap-api-6.0/api-requests/subscription-import/add-import-test-subscriptions-without-credit-debit-card-data.md) |

#### With credit card information

| JSON-RPC                                                                                                                                                                                     | REST                                                                                            | SOAP                                                                                                                                                                                 |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [Import test subscriptions with payment information](/json-rpc-api-reference/json-rpc-api-6.0/api-requests/subscription-import/add-import-test-subscriptions-with-credit-debit-card-data.md) | [Import test subscriptions with payment information](https://docs.2checkout.com/api-reference/) | [Import test subscriptions with payment information](/soap-api-reference/soap-api-6.0/api-requests/subscription-import/add-import-test-subscriptions-with-credit-debit-card-data.md) |

## Test subscriptions without credit cards

Explore manual renewal and upgrade scenarios with your imported test subscriptions.

### Limitations

Automatic renewals (both via Web, and via API) are possible only after our internal cron has executed a renewal for your subscription, and an order has been generated for the imported subscription. Alternatively, you can place a manual renewal for the subscription generated instead of waiting for the cron to execute.

Upgrades via API are possible after our internal cron has executed a renewal for your subscription, and an order has been generated for the imported subscription. Alternatively, you can place a manual renewal for the subscription generated instead of waiting for the cron to execute.

### Renewal using the hosted cart

Perform manual renewals for imported test subscriptions from your Control Panel.

1. Go to *Orders & Customers* > [*Subscriptions*](https://secure.2checkout.com/cpanel/licenses_management.php)**.**
2. Search for the imported test subscription using a license identifier (email, reference, name).
3. Open the subscription details page, and click on **Renew subscription**.
4. Choose the **manual** renewal type.
5. Confirm the billing information, and place the renewal order.

### Upgrade using the hosted cart

Place upgrade orders for imported test subscriptions from your Control Panel.

1. Go to *Orders & Customers* > [*Subscriptions*](https://secure.2checkout.com/cpanel/licenses_management.php)**.**
2. Search for the imported test subscription using a license identifier (email, reference, name).
3. Open the subscription details page, and click on **Upgrade subscription**.
4. Choose the **new** payment information type.
5. Confirm the new payment details and place the upgrade order.

### Manual renewal VIA API

Renew a subscription via API by using the 2Checkout Subscription Reference. Collect your recurring revenue with one of the following payment methods:

* Credit cards
* PayPal
* WeChat Pay
* iDEAL
* Purchase Order
* Wire

| JSON-RPC                                                                                                       | REST                                                                      | SOAP                                                                                                   |
| -------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| [Place a manual renewal order](/json-rpc-api-reference/json-rpc-api-6.0/api-requests/place-a-renewal-order.md) | [Place a manual renewal order](https://docs.2checkout.com/api-reference/) | [Place a manual renewal order](/soap-api-reference/soap-api-6.0/api-requests/place-a-renewal-order.md) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/subscriptions/subscriptions/subscription-management/manage-test-subscriptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
